Subject: Re: Apache 2.0 on Cygwin
From: Stipe Tolj <[email-masked]>
To: "Fifer, Eric" <[email-masked]>
Cc: "'McDermott, Alastair'" <[email-masked]>, [email-masked]
Date: Thu, 24 Aug 2000 17:07:53 +0200

> >Is there currently an effort in place to port 2.0 to Cygwin? Where can I
> >find more information/discussion on this?
>
> The basic Apache 2.0a4 builds relatively cleanly on Cygwin.
> Attached are a build script and two patch files that will
> build a prefork version.
>
> A few caveats: I don't watch the Apache developers list and
> I wasn't involved with the previous efforts building Apache
> on Cygwin.  And, I haven't seen any discussions regarding
> porting the latest Apache alphas to Cygwin.
>
> To get a fully functional Apache on Cygwin I think a fair amount
> of work would be necessary, particularly getting POSIX threads
> fully implemented on Cygwin.

that's the basic problem.

Our cygwin ports of apache (up to the latest 1.3.12 which will come soon)
works well on NT.
Unfortunatly I was not able to get 2.0 to compile and run cleanly under
cygwin.

Regards,
Stipe Tolj
System Administration

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
Wapme.net - wherever you are

--
Want to unsubscribe from this list?
Send a message to [email-masked]